[CentOS] Centos 3.6 - iscsi target issues

Bruno Sousa bruno.sousa at first.pt
Sun May 21 10:15:09 UTC 2006


Hello,

I'm running a server that needs to have a kernel 2.4.xxx.
So now I'm running a CentOS 3.6 with kernel 2.4.21-37.0.1.ELsmp.

Now, I want to make this server usable for ISCSI, so I started to install
the ISCSI target, and the problems begin.
If I try to install ISCSI version 0.4.13  from source code I got the
following error :

The present kernel configuration has modules disabled.
Type 'make config' and enable loadable module support.
Then build a kernel with module support enabled.

This means that the CentOS kernel doesn't allow to insert modules? Sorry for
perhaps being a lame question, but I can , and use, insmod all the time.

Anyway, later on I found a src.rpm, so I give it a try. The file is
http://www.digicola.com/developer/iscsitarget-0.4.12-6.src.rpm , and i i try
to rebuild the rpm , with the command rpmbuild --rebuild
iscsitarget-0.4.12-6.src.rpm it gives me the following error :
error: Failed build dependencies:
        kernel-smp-devel = 2.4.21-37.0.1.EL is needed by
iscsitarget-0.4.12-6
I searched a little and I installed the kernel-devel package.but it still
doesn't work.
If anyone could point me out some way to solve this, it would be very
appreciated.

Best regards,
Bruno Sousa
 




More information about the CentOS mailing list